| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Friends | List of all members
CommonMessagingBase Class Referenceabstract

`#include <GaudiKernel/CommonMessaging.h>`

Inheritance diagram for CommonMessagingBase:
[legend]
Collaboration diagram for CommonMessagingBase:
[legend]

## Public Member Functions
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
virtual void | create_msgSvc () const =0
| cold functionality More...
virtual void | create_msgStream () const =0
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...

## Private Attributes
boost::thread_specific_ptr< MsgStream > | m_msgStream
| The predefined message stream. More...
boost::thread_specific_ptr< MSG::Level > | m_level
SmartIF< IMessageSvc > | m_msgsvc
| Pointer to the message service;. More...

## Friends
template<typename Base >
class | CommonMessaging

## Detailed Description

Definition at line 64 of file CommonMessaging.h.

## Constructor & Destructor Documentation

virtual CommonMessagingBase::~CommonMessagingBase | ( |  | ) |
| virtual default

Virtual destructor.

## Member Function Documentation

MsgStream& CommonMessagingBase::always | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::ALWAYS)

Definition at line 102 of file CommonMessaging.h.

102 { return msgStream( MSG::ALWAYS ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:83
MSG::ALWAYS
Definition: IMessageSvc.h:16

virtual void CommonMessagingBase::create_msgStream | ( |  | ) | const
| pure virtual

Implemented in CommonMessaging< BASE >, CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > >, CommonMessaging< implements< IAuditor, IProperty > >, CommonMessaging< implements< IAppMgrUI, IEventProcessor, IService, IStateful, INamedInterface, IProperty > >, CommonMessaging< IControlFlowGraph >, CommonMessaging< IPrecedenceRulesGraph >, CommonMessaging< implements< IService, IProperty, IStateful > >, CommonMessaging< implements< IAlgorithm, IDataHandleHolder, IProperty, IStateful > >, CommonMessaging< IExecutionFlowManager >, and CommonMessaging< implements< IComponentManager > >.

virtual void CommonMessagingBase::create_msgSvc | ( |  | ) | const
| pure virtual

cold functionality

Implemented in CommonMessaging< BASE >, CommonMessaging< implements< IAlgTool, IDataHandleHolder, IProperty, IStateful > >, CommonMessaging< implements< IAuditor, IProperty > >, CommonMessaging< implements< IAppMgrUI, IEventProcessor, IService, IStateful, INamedInterface, IProperty > >, CommonMessaging< IControlFlowGraph >, CommonMessaging< IPrecedenceRulesGraph >, CommonMessaging< implements< IService, IProperty, IStateful > >, CommonMessaging< implements< IAlgorithm, IDataHandleHolder, IProperty, IStateful > >, CommonMessaging< IExecutionFlowManager >, and CommonMessaging< implements< IComponentManager > >.

MsgStream& CommonMessagingBase::debug | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::DEBUG)

Definition at line 120 of file CommonMessaging.h.

120 { return msgStream( MSG::DEBUG ); }
MSG::DEBUG
Definition: IMessageSvc.h:16
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:83

MsgStream& CommonMessagingBase::err | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::ERROR)

Definition at line 108 of file CommonMessaging.h.

108 { return msgStream( MSG::ERROR ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:83
MSG::ERROR
Definition: IMessageSvc.h:16

MsgStream& CommonMessagingBase::error | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::ERROR)

Definition at line 111 of file CommonMessaging.h.

111 { return msgStream( MSG::ERROR ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:83
MSG::ERROR
Definition: IMessageSvc.h:16

MsgStream& CommonMessagingBase::fatal | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::FATAL)

Definition at line 105 of file CommonMessaging.h.

105 { return msgStream( MSG::FATAL ); }
MSG::FATAL
Definition: IMessageSvc.h:16
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:83

MsgStream& CommonMessagingBase::info | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::INFO)

Definition at line 117 of file CommonMessaging.h.

117 { return msgStream( MSG::INFO ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:83
MSG::INFO
Definition: IMessageSvc.h:16

MsgStream& CommonMessagingBase::msg | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::INFO)

Definition at line 126 of file CommonMessaging.h.

126 { return msgStream( MSG::INFO ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:83
MSG::INFO
Definition: IMessageSvc.h:16

MSG::Level CommonMessagingBase::msgLevel | ( |  | ) | const
| inline

get the output level from the embedded MsgStream

Definition at line 129 of file CommonMessaging.h.

130 {
131 if ( UNLIKELY( ( !m_msgStream.get() ) ) ) create_msgStream();
132 if ( UNLIKELY( ( !m_level.get() ) ) ) {
133 return MSG::NIL;
134 }
135 return *m_level;
136 }
UNLIKELY
#define UNLIKELY(x)
Definition: Kernel.h:128
CommonMessagingBase::create_msgStream
virtual void create_msgStream() const =0
CommonMessagingBase::m_level
boost::thread_specific_ptr< MSG::Level > m_level
Definition: CommonMessaging.h:152
MSG::NIL
Definition: IMessageSvc.h:16
CommonMessagingBase::m_msgStream
boost::thread_specific_ptr< MsgStream > m_msgStream
The predefined message stream.
Definition: CommonMessaging.h:149

bool CommonMessagingBase::msgLevel | ( | MSG::Level | lvl | ) | const
| inline

get the output level from the embedded MsgStream

Definition at line 142 of file CommonMessaging.h.

142 { return UNLIKELY( msgLevel() <= lvl ); }
UNLIKELY
#define UNLIKELY(x)
Definition: Kernel.h:128
CommonMessagingBase::msgLevel
MSG::Level msgLevel() const
get the output level from the embedded MsgStream
Definition: CommonMessaging.h:129

MsgStream& CommonMessagingBase::msgStream | ( |  | ) | const
| inline

Return an uninitialized MsgStream.

Definition at line 83 of file CommonMessaging.h.

84 {
85 if ( UNLIKELY( ( !m_msgStream.get() ) ) ) create_msgStream();
86 return *m_msgStream;
87 }
UNLIKELY
#define UNLIKELY(x)
Definition: Kernel.h:128
CommonMessagingBase::create_msgStream
virtual void create_msgStream() const =0
CommonMessagingBase::m_msgStream
boost::thread_specific_ptr< MsgStream > m_msgStream
The predefined message stream.
Definition: CommonMessaging.h:149

MsgStream& CommonMessagingBase::msgStream | ( | const MSG::Level | level | ) | const
| inline

Predefined configurable message stream for the efficient printouts.

if ( a < 0 ) { msgStream( MSG::ERROR ) << "a = " << endmsg ; }

Returns
  Reference to the predefined stream

Definition at line 99 of file CommonMessaging.h.

99 { return msgStream() << level; }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:83
gaudirun.level
level
Definition: gaudirun.py:271

SmartIF<IMessageSvc>& CommonMessagingBase::msgSvc | ( |  | ) | const
| inline

The standard message service.

Returns a pointer to the standard message service.

Definition at line 76 of file CommonMessaging.h.

77 {
78 if ( UNLIKELY( !m_msgsvc ) ) create_msgSvc();
79 return m_msgsvc;
80 }
UNLIKELY
#define UNLIKELY(x)
Definition: Kernel.h:128
CommonMessagingBase::m_msgsvc
SmartIF< IMessageSvc > m_msgsvc
Pointer to the message service;.
Definition: CommonMessaging.h:155
CommonMessagingBase::create_msgSvc
virtual void create_msgSvc() const =0
cold functionality

MSG::Level CommonMessagingBase::outputLevel | ( |  | ) | const
| inline

Backward compatibility function for getting the output level.

Definition at line 139 of file CommonMessaging.h.

139 { return msgLevel(); }
CommonMessagingBase::msgLevel
MSG::Level msgLevel() const
get the output level from the embedded MsgStream
Definition: CommonMessaging.h:129

MsgStream& CommonMessagingBase::verbose | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::VERBOSE)

Definition at line 123 of file CommonMessaging.h.

123 { return msgStream( MSG::VERBOSE ); }
MSG::VERBOSE
Definition: IMessageSvc.h:16
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:83

MsgStream& CommonMessagingBase::warning | ( |  | ) | const
| inline

shortcut for the method msgStream(MSG::WARNING)

Definition at line 114 of file CommonMessaging.h.

114 { return msgStream( MSG::WARNING ); }
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:83
MSG::WARNING
Definition: IMessageSvc.h:16

## Friends And Related Function Documentation

template<typename Base >

friend class CommonMessaging
| friend

Definition at line 146 of file CommonMessaging.h.

## Member Data Documentation

boost::thread_specific_ptr<MSG::Level> CommonMessagingBase::m_level
| mutable private

Definition at line 152 of file CommonMessaging.h.

boost::thread_specific_ptr<MsgStream> CommonMessagingBase::m_msgStream
| mutable private

The predefined message stream.

Definition at line 149 of file CommonMessaging.h.

SmartIF<IMessageSvc> CommonMessagingBase::m_msgsvc
| mutable private

Pointer to the message service;.

Definition at line 155 of file CommonMessaging.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/CommonMessaging.h